Summary:	Enables the clamd and clamav-milter daemon at boot time.
Name:		clamav-enable
Version:	0.80
Release:	1.intergenia
License:	GPL
Group:		Applications/System
URL:		http://www.clamav.net/
Vendor:		Intergenia AG
Packager:	Maik Broemme <mbroemme@plusserver.de>
Requires:	chkconfig >= 1.3.11.1, clamav >= 0.80, clamav-milter >= 0.80

%description
This package enables the clamd and clamav-milter daemon at boot
time in the default runlevels.

%post
/sbin/chkconfig clamd on
/sbin/chkconfig clamav-milter on

# enable tuning for virtuozzo
cat /etc/sysconfig/clamav-milter | sed -e 's/--max-children.*/--max-children=2/' > /etc/sysconfig/clamav-milter.tmp
mv /etc/sysconfig/clamav-milter.tmp /etc/sysconfig/clamav-milter

# starting clamd
/etc/rc.d/init.d/clamd status > /dev/null 2>&1
if [ $? != 0 ]; then
	/etc/rc.d/init.d/clamd start > /dev/null 2>&1
fi

# starting clamav-milter
/etc/rc.d/init.d/clamav-milter status > /dev/null 2>&1
if [ $? != 0 ]; then
	/etc/rc.d/init.d/clamav-milter start > /dev/null 2>&1
fi

# enable clamav in sendmail
cat /etc/mail/sendmail.mc | grep -q "INPUT_MAIL_FILTER(\`clamav', \`S=local:/var/clamav/clmilter.socket, F=T, T=S:4m;R:4m')" || echo "INPUT_MAIL_FILTER(\`clamav', \`S=local:/var/clamav/clmilter.socket, F=T, T=S:4m;R:4m')" >> /etc/mail/sendmail.mc
make -f /etc/mail/Makefile -C /etc/mail > /dev/null 2>&1
rm -f /etc/mail/sendmail.cf.bak

# restart sendmail
/etc/rc.d/init.d/sendmail restart > /dev/null 2>&1

%preun
/sbin/chkconfig clamd off
/sbin/chkconfig clamav-milter off

# stopping clamav-milter
/etc/rc.d/init.d/clamav-milter status > /dev/null 2>&1
if [ $? = 0 ]; then
	/etc/rc.d/init.d/clamav-milter stop > /dev/null 2>&1
fi

# stopping clamd
/etc/rc.d/init.d/clamd status > /dev/null 2>&1
if [ $? = 0 ]; then
	/etc/rc.d/init.d/clamd stop > /dev/null 2>&1
fi

# disable tuning for virtuozzo
cat /etc/sysconfig/clamav-milter | sed -e 's/--max-children.*/--max-children=10/' > /etc/sysconfig/clamav-milter.tmp
mv /etc/sysconfig/clamav-milter.tmp /etc/sysconfig/clamav-milter

# disable clamav in sendmail
cat /etc/mail/sendmail.mc | sed -e "/INPUT_MAIL_FILTER(\`clamav', \`S=local:\/var\/clamav\/clmilter.socket, F=T, T=S:4m;R:4m')/d" > /etc/mail/sendmail.mc.tmp
mv /etc/mail/sendmail.mc.tmp /etc/mail/sendmail.mc
make -f /etc/mail/Makefile -C /etc/mail > /dev/null 2>&1
rm -f /etc/mail/sendmail.cf.bak

# restart sendmail
/etc/rc.d/init.d/sendmail restart > /dev/null 2>&1

%files

%changelog
* Wed Nov 19 2004 Maik Broemme <mbroemme@plusserver.de> 0.80-1.intergenia
- initial version for fedora core 3
